HTML Tidy: Configuration Options

HTML Tidy 0.1

Typedefs | Functions
Configuration Options

## Typedefs
typedef Bool(TIDY_CALL * | TidyOptCallback) (ctmbstr option, ctmbstr value)

## Functions
Bool TIDY_CALL | tidySetOptionCallback (TidyDoc tdoc, TidyOptCallback pOptCallback)
TidyOptionId TIDY_CALL | tidyOptGetIdForName (ctmbstr optnam)
TidyIterator TIDY_CALL | tidyGetOptionList (TidyDoc tdoc)
TidyOption TIDY_CALL | tidyGetNextOption (TidyDoc tdoc, TidyIterator *pos)
TidyOption TIDY_CALL | tidyGetOption (TidyDoc tdoc, TidyOptionId optId)
TidyOption TIDY_CALL | tidyGetOptionByName (TidyDoc tdoc, ctmbstr optnam)
TidyOptionId TIDY_CALL | tidyOptGetId (TidyOption opt)
ctmbstr TIDY_CALL | tidyOptGetName (TidyOption opt)
TidyOptionType TIDY_CALL | tidyOptGetType (TidyOption opt)
Bool TIDY_CALL | tidyOptIsReadOnly (TidyOption opt)
TidyConfigCategory TIDY_CALL | tidyOptGetCategory (TidyOption opt)
ctmbstr TIDY_CALL | tidyOptGetDefault (TidyOption opt)
ulong TIDY_CALL | tidyOptGetDefaultInt (TidyOption opt)
Bool TIDY_CALL | tidyOptGetDefaultBool (TidyOption opt)
TidyIterator TIDY_CALL | tidyOptGetPickList (TidyOption opt)
ctmbstr TIDY_CALL | tidyOptGetNextPick (TidyOption opt, TidyIterator *pos)
ctmbstr TIDY_CALL | tidyOptGetValue (TidyDoc tdoc, TidyOptionId optId)
Bool TIDY_CALL | tidyOptSetValue (TidyDoc tdoc, TidyOptionId optId, ctmbstr val)
Bool TIDY_CALL | tidyOptParseValue (TidyDoc tdoc, ctmbstr optnam, ctmbstr val)
ulong TIDY_CALL | tidyOptGetInt (TidyDoc tdoc, TidyOptionId optId)
Bool TIDY_CALL | tidyOptSetInt (TidyDoc tdoc, TidyOptionId optId, ulong val)
Bool TIDY_CALL | tidyOptGetBool (TidyDoc tdoc, TidyOptionId optId)
Bool TIDY_CALL | tidyOptSetBool (TidyDoc tdoc, TidyOptionId optId, Bool val)
Bool TIDY_CALL | tidyOptResetToDefault (TidyDoc tdoc, TidyOptionId opt)
Bool TIDY_CALL | tidyOptResetAllToDefault (TidyDoc tdoc)
Bool TIDY_CALL | tidyOptSnapshot (TidyDoc tdoc)
Bool TIDY_CALL | tidyOptResetToSnapshot (TidyDoc tdoc)
Bool TIDY_CALL | tidyOptDiffThanDefault (TidyDoc tdoc)
Bool TIDY_CALL | tidyOptDiffThanSnapshot (TidyDoc tdoc)
Bool TIDY_CALL | tidyOptCopyConfig (TidyDoc tdocTo, TidyDoc tdocFrom)
ctmbstr TIDY_CALL | tidyOptGetEncName (TidyDoc tdoc, TidyOptionId optId)
ctmbstr TIDY_CALL | tidyOptGetCurrPick (TidyDoc tdoc, TidyOptionId optId)
TidyIterator TIDY_CALL | tidyOptGetDeclTagList (TidyDoc tdoc)
ctmbstr TIDY_CALL | tidyOptGetNextDeclTag (TidyDoc tdoc, TidyOptionId optId, TidyIterator *iter)
ctmbstr TIDY_CALL | tidyOptGetDoc (TidyDoc tdoc, TidyOption opt)
TidyIterator TIDY_CALL | tidyOptGetDocLinksList (TidyDoc tdoc, TidyOption opt)
TidyOption TIDY_CALL | tidyOptGetNextDocLinks (TidyDoc tdoc, TidyIterator *pos)

## Detailed Description

Functions for getting and setting Tidy configuration options.

## Typedef Documentation

typedef Bool(TIDY_CALL * TidyOptCallback) (ctmbstr option, ctmbstr value)

Applications using TidyLib may want to augment command-line and configuration file options. Setting this callback allows an application developer to examine command-line and configuration file options after TidyLib has examined them and failed to recognize them.

## Function Documentation

TidyOptionId TIDY_CALL tidyOptGetIdForName | ( | ctmbstr | optnam | ) |

Get option ID by name

TidyIterator TIDY_CALL tidyGetOptionList | ( | TidyDoc | tdoc | ) |

Get iterator for list of option Example:

    TidyIterator itOpt = tidyGetOptionList( tdoc );
    while ( itOpt )
    {
      TidyOption opt = tidyGetNextOption( tdoc, &itOpt );
      .. get/set option values ..
    }

TidyOption TIDY_CALL tidyGetNextOption | ( | TidyDoc | tdoc,
|  | TidyIterator * | pos
| ) |  |

Get next Option

TidyOption TIDY_CALL tidyGetOption | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId
| ) |  |

Lookup option by ID

TidyOption TIDY_CALL tidyGetOptionByName | ( | TidyDoc | tdoc,
|  | ctmbstr | optnam
| ) |  |

Lookup option by name

TidyOptionId TIDY_CALL tidyOptGetId | ( | TidyOption | opt | ) |

Get ID of given Option

ctmbstr TIDY_CALL tidyOptGetName | ( | TidyOption | opt | ) |

Get name of given Option

TidyOptionType TIDY_CALL tidyOptGetType | ( | TidyOption | opt | ) |

Get datatype of given Option

Bool TIDY_CALL tidyOptIsReadOnly | ( | TidyOption | opt | ) |

Is Option read-only?

TidyConfigCategory TIDY_CALL tidyOptGetCategory | ( | TidyOption | opt | ) |

Get category of given Option

ctmbstr TIDY_CALL tidyOptGetDefault | ( | TidyOption | opt | ) |

Get default value of given Option as a string

ulong TIDY_CALL tidyOptGetDefaultInt | ( | TidyOption | opt | ) |

Get default value of given Option as an unsigned integer

Bool TIDY_CALL tidyOptGetDefaultBool | ( | TidyOption | opt | ) |

Get default value of given Option as a Boolean value

TidyIterator TIDY_CALL tidyOptGetPickList | ( | TidyOption | opt | ) |

Iterate over Option "pick list"

ctmbstr TIDY_CALL tidyOptGetNextPick | ( | TidyOption | opt,
|  | TidyIterator * | pos
| ) |  |

Get next string value of Option "pick list"

ctmbstr TIDY_CALL tidyOptGetValue | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId
| ) |  |

Get current Option value as a string

Bool TIDY_CALL tidyOptSetValue | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId,
|  | ctmbstr | val
| ) |  |

Set Option value as a string

Bool TIDY_CALL tidyOptParseValue | ( | TidyDoc | tdoc,
|  | ctmbstr | optnam,
|  | ctmbstr | val
| ) |  |

Set named Option value as a string. Good if not sure of type.

ulong TIDY_CALL tidyOptGetInt | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId
| ) |  |

Get current Option value as an integer

Bool TIDY_CALL tidyOptSetInt | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId,
|  | ulong | val
| ) |  |

Set Option value as an integer

Bool TIDY_CALL tidyOptGetBool | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId
| ) |  |

Get current Option value as a Boolean flag

Bool TIDY_CALL tidyOptSetBool | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId,
|  | Bool | val
| ) |  |

Set Option value as a Boolean flag

Bool TIDY_CALL tidyOptResetToDefault | ( | TidyDoc | tdoc,
|  | TidyOptionId | opt
| ) |  |

Reset option to default value by ID

Bool TIDY_CALL tidyOptResetAllToDefault | ( | TidyDoc | tdoc | ) |

Reset all options to their default values

Bool TIDY_CALL tidyOptSnapshot | ( | TidyDoc | tdoc | ) |

Take a snapshot of current config settings

Bool TIDY_CALL tidyOptResetToSnapshot | ( | TidyDoc | tdoc | ) |

Reset config settings to snapshot (after document processing)

Bool TIDY_CALL tidyOptDiffThanDefault | ( | TidyDoc | tdoc | ) |

Any settings different than default?

Bool TIDY_CALL tidyOptDiffThanSnapshot | ( | TidyDoc | tdoc | ) |

Any settings different than snapshot?

Bool TIDY_CALL tidyOptCopyConfig | ( | TidyDoc | tdocTo,
|  | TidyDoc | tdocFrom
| ) |  |

Copy current configuration settings from one document to another

ctmbstr TIDY_CALL tidyOptGetEncName | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId
| ) |  |

Get character encoding name. Used with TidyCharEncoding, TidyOutCharEncoding, TidyInCharEncoding

ctmbstr TIDY_CALL tidyOptGetCurrPick | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId
| ) |  |

Get current pick list value for option by ID. Useful for enum types.

TidyIterator TIDY_CALL tidyOptGetDeclTagList | ( | TidyDoc | tdoc | ) |

Iterate over user declared tags

ctmbstr TIDY_CALL tidyOptGetNextDeclTag | ( | TidyDoc | tdoc,
|  | TidyOptionId | optId,
|  | TidyIterator * | iter
| ) |  |

Get next declared tag of specified type: TidyInlineTags, TidyBlockTags, TidyEmptyTags, TidyPreTags

ctmbstr TIDY_CALL tidyOptGetDoc | ( | TidyDoc | tdoc,
|  | TidyOption | opt
| ) |  |

Get option description

TidyIterator TIDY_CALL tidyOptGetDocLinksList | ( | TidyDoc | tdoc,
|  | TidyOption | opt
| ) |  |

Iterate over a list of related options

TidyOption TIDY_CALL tidyOptGetNextDocLinks | ( | TidyDoc | tdoc,
|  | TidyIterator * | pos
| ) |  |

Get next related option